#
# spec file for package sipsak
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           sipsak
Version:        0.9.8.1
Release:        bp156.3.5
Summary:        SIP Swiss Army Knife
License:        GPL-2.0-only
Group:          Productivity/Telephony/SIP/Utilities
URL:            https://github.com/nils-ohlmeier/sipsak
Source:         https://github.com/nils-ohlmeier/sipsak/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(libcares)
BuildRequires:  pkgconfig(openssl)

%description
Sipsak is a small command line tool for developers and administrators
of Session Initiation Protocol (SIP) applications. It can be used for
some simple tests on SIP applications and devices, including sending
OPTIONS requests, sending text files with SIP requests, traceroute,
user location test, flooding test, etc

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%check
%make_build check

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/sipsak
%{_mandir}/man1/sipsak.1%{?ext_man}

%changelog
* Fri Jan  8 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 0.9.8.1
  * Bugfix release which fixes the issue of the local port always
    being zero, which got introduced by the 0.9.8 release.
* Mon Dec  7 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.9.8
  * Bugfix release only
- Drop not longer needed "CFLAGS+=-fcommon"
* Sun Jun  7 2020 Martin Hauke <mardnh@gmx.de>
- Set CFLAGS+=-fcommon
* Wed Jan 22 2020 Martin Hauke <mardnh@gmx.de>
- Package cleanup
  * Run speccleaner
  * Fix url
  * Use source URL from github
  * Use pkgconfig-style dependencies
- Run testsuite
- Update to version 0.9.7
  * added new option -E which overrules SRV result
  * added new option -J to take ha1 instead of password
  * dont retransmit on reliable transports
  * added --disable-ips configure option which allows to compile
    the oldstyle --numeric behavior
  * added new option -k only available with TLS support
  * added 'star' as special word for the contact option -C
  * fixed overwritting of outbound proxy if domainname is an IP
  * added option -Z to modify SIP_T1 at run time
  * added syslog support
  * enabled -c parameter for Inivte mode
  * added new options for TLS (ca-cert, client-cert,
    ignore-cert-failure)
  * Note: these options are only available as long options
  * added option to ignore TLS certificate verification errors
  * added option -k, --local-ip
  * added SHA-256 as a possible algorithm for digest authentication
* Wed Apr  4 2018 jamesp@vicidial.com
- modify source to compile on OpenSuSE Leap 15.0
* Sun Apr 17 2011 04:55:21 UTC - jamesp@vicidial.com
- Code cleanup to try and make a better package I hope
* Mon Dec 13 2010 01:21:18 UTC - jamesp@vicidial.com
- Initial RPM
